:root{
    --blanco:#fff;
    --dorado:#fed700;
    --negro:#000000;
    --dorado2:#6c5a02;

    --fuentePrincipal:'Raleway', sans-serif;
}

html{
    font-size: 62.5%;
    box-sizing: border-box;
   
}

*, *:before, *:after{
    box-sizing: inherit;
    
     
}

body{
    font-family: var(--fuentePrincipal);
    font-size: 1.6rem;
    line-height: 1.8;
 /*    background-color: var(--negro); */
    
}
h1,h2,h3{
    font-weight: 900;
    margin: 1rem 0 4rem 0;
}

h1{
 font-size: 3.8rem;
}
h2{
 font-size: 2.8rem;
 margin: 0;
}
h3{
 font-size: 2rem;
}

a{
    text-decoration: none;
}
img{
    max-width: 100%;
    display: block;
}


.contenedor{
    max-width:120rem;
    margin: 0 auto;
    width:90%;
}

.btn{
    color: var(--gris);
    background-color: var(--blanco);
    border: 1px solid var(--dorado);
    padding: .5rem 2rem;
    transition: background-color .3s;
}
.btn:hover{
    background-color: var(--dorado);
    
}

/* utilidades */
.text-center{
    text-align: center;
}

.mt5{
    margin-top: 5rem;
}

.activo{
    background-color: var(--dorado2);
}




.degradado-dorado {
    color: transparent;
    background: linear-gradient(to right, var(--dorado2) 0%, var(--dorado) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    margin: 0;
   
}

/* estilos del header */

.header {
    min-height:80rem;
    /* altura minima del header*/
    background-color: var(--negro); 
    padding: 5rem 0;
    margin-bottom:.5px solid var(--dorado);

}

.contenido-header {
    display: flex;
    flex-direction: column;
    height: calc(80rem - 4rem);
    justify-content: space-between;
    /* alinea verticalmente en column */
    color: var(--blanco);
}

.contenido h2{
    color:var(--blanco);
}

.nombre-sitio {
    font-weight: 300;
    text-align: center;
    font-size: 2rem;
    text-transform: uppercase;
    line-height:1.3;
    margin-top: 3rem;
}

@media (min-width: 768px) {
    .nombre-sitio {
        font-size: 5rem;
    }
}

.nombre-sitio span {
    font-weight: 900;
}

.logo img{

    max-width:20rem;
    margin: 0 auto;

   
}



@media (min-width: 768px) {
    .barra {
        display: flex;
        justify-content: space-between;
        align-items: center;
        /* alineamos en rows horizontalmente */
    }

    .logo img{
       margin:0;
       
    }

}

/* 
alineamos el telefono y el menu de navegacion */
.contacto {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 768px) {
    .contacto {
        align-items: flex-end;
    }
}

.telefono{
 display: flex;

}
.telefono::before{
    content:'';
    display:block;
    width:4rem;
    height:4rem;
    background-image: url(../img/telefono.png);
    background-repeat: no-repeat;
    background-position: center center;
    margin-right:1rem;
    
}

.header a{
    color:var(--blanco);
    font-size: 2rem;
}

.navegacion{
    display: flex;
    flex-direction:column;
    align-items: center;
    width: 100%;
   /*  visibility: hidden; */
   /*  opacity: 0; */
    transition: visibility .3s ease-in-out ,opacity 0.5s linear; 
}



@media (min-width: 768px) {
    .navegacion{
       flex-direction: row;
       display: flex;
      /*  visibility: visible; */
       opacity: 1;
       
      
    } 
    
}

.navegacion a{
    padding:.5rem;
    transition: background-color 300ms;
    width:100%;
    text-align: center;
    margin-top: 1rem;
}
@media (min-width: 768px) { 
    .navegacion a{
        padding: 1rem  2rem;
    }
}

.navegacion a:hover{
    background-color: var(--dorado);
    color: var(--negro);
}

.slogan{
    text-align: center;
    
}   

@media (min-width: 768px) { 
    .slogan {
        text-align:right;
    }

   
}
.slogan h2{
    color: var(--blanco);
    text-transform: uppercase;
    font-size: 2rem;
    margin: 0;
}



@media (min-width: 768px) { 
    .slogan h2{
        font-size:4rem
    }
}

.slogan p{
  margin: 0;
  line-height: 1;
  
}


.sonDelBarrio{
    background-color: var(--blanco);

}

.sonDelBarrio img{
    display: block;
   width:100%;
}

.anfitrion{
    text-align: center;
}


.visitanos{
    background-color: var(--dorado2);
}

.grid-crea{
   padding: 5rem;
}

.grid-crea img {
    /* transform: rotate(-6deg); */
    border: .5rem solid var(--blanco);
    box-shadow: 9px 10px 5px -7px rgb( 0 0 0 / .35);
    
}

@media (min-width:1024px) { 

    .grid-crea{
        display: grid;
        grid-template-columns: repeat(2 ,1fr);
        gap: 4rem;
        align-items:center;
    }
}

.contenido p{
    color: var(--blanco);
    line-height: 1.8;
    font-size:2rem;
}


@media (min-width:1024px) { 

    .contenido p{
        font-size:3rem;
    }
    
}

/* estilos de la galeria */

.experiencia {
    background-color: var(--negro);
    padding: 1rem;
   
}

.experiencia h2{
    color: var(--blanco);
    padding: 5rem;
    text-transform:uppercase;
    text-align: center;
    font-size: 4rem;
}


.imagen .gale{
    height: 30rem;
    width: 30rem;
    object-fit: cover;
}

.galeria{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap:1rem;
   
}

@media (min-width: 1024px) { 

    .galeria{
        display: grid;
        grid-template-columns: repeat(4, 1fr); 
        gap:2rem; 
         
   }   

}

.headingBorder{
    font-size: 2.6rem;
     color:var(--dorado2);
     display: inline-block;
     margin-top: 5rem;
}

.headingBorder::after{
    content:'';
    background-color:var(--dorado);
    height: 1rem;
    width:calc(100% + 1rem) ;
    display: block;
    margin:-1.4rem 0 0 0;
}

/* estilos  fiesta */

.fiesta{
    background-color: var(--dorado2);
    margin: 0;
    
    
}

.direccion{
    color: var(--negro);
    
    
}

.fiesta img{
    margin-top:2rem;
    transform: rotate(-6deg);  
    border: .5rem solid var(--blanco);
    box-shadow: 9px 10px 5px -7px rgb( 0 0 0 / .35);
}

.fiesta-grid{
    display: grid;
    grid-template-columns: repeat(2 ,1fr);
    gap: 4rem;
    align-items:center;
}

.contenido-footer{
    padding: 5rem;
}

@media (min-width:1024px) { 

    .contenido-footer{
        display: grid;
        grid-template-columns: repeat(3, 2fr);
    }
}

.copyright {
    text-align: center;
    margin: 0;
    padding: 2rem;
    color: var(--blanco)
}

/* estilos de eventos */
.evento{
    background-color:var(--blanco);
    padding: 2rem;
}

.evento h2{
    text-align: center;
    text-transform: uppercase;

}

.evento .celebra{
    color:var(--dorado2);
    font-weight: 900;

}
.eventos{
    margin-bottom: 5rem;
}

@media (min-width: 1024px) { 
    .eventos{
        display:flex;
        gap: 5rem;
        align-items: center;
    }
}

.eventos:last-of-type{
    margin-bottom: 0;
}

.texto:nth-child(even){
    order: -1;
}

    

    .imagen,
    .texto {
        flex: 1;
    }

    .texto {
        margin-top: 1rem;
       
    }

    .fi {
        margin: 0;
        text-align: left;
    }

    


/* estilos de footer */

.footer{
    background-color: var(--negro);
}


.footer-box {
   
    text-align: center;
    margin-bottom:5rem;
    color:var(--blanco);
}
    @media (min-width:1024px) { 
        .footer-box {
            margin-bottom:0;
        }
    }

    h3 {
        
        margin: 0 0 1rem 0;
        font-size: 2.4rem;
        color:var(--dorado);
    }
    p, a {
        font-size: 2rem;
        margin: 0;
    }

/* 
 estilos del boton whatsapp
 */

 .container-boton{
    background-color: #2e6329;
    border: 1px solid #fff;
    position: fixed;
    z-index: 999;
    border-radius: 50%;
    bottom: 20px;
    right: 25px;
    padding: 25px;
    transition: ease 0.3s;
    animation: efecto 1.2s infinite;
}

.container-boton:hover{
    transform: scale(1.1);
    transition: 0.3s;
}

.boton{
    width: 4rem;
    transition: ease 1s;
}


@keyframes efecto{
    0%{
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.85);
    }
    100%{
        box-shadow: 0 0 0 25px rgba(0, 0, 0, 0);
    }
}


/* estilos de nosotros */

.nosotros{
    background-color: var(--blanco);
}

.contenido-nosotros p{

    color: var(--dorado2);
    font-size:2rem;
    font-weight: 700;
    line-height: 2;
    margin-top:5rem;
    
}

 @media (min-width: 1024px) { 
    .contenido-nosotros p{
        margin-top: 0;
    }
 }


.sonDeBarrio{
    background-color: var(--dorado2);
}


 .sonDeBarrio img{
    margin-top:2rem;
    /* transform: rotate(-6deg);   */
    border: .5rem solid var(--blanco);
    box-shadow: 9px 10px 5px -7px rgb( 0 0 0 / .35);
}

/* galeria */

.gale{
    background-color: var(--dorado2);
    
}


/* contacto */

.contenido-principal h2{
    text-align: center;
    padding: 1rem 0 0 0;
}
.contenido-contacto{
   padding: 1rem;
   background-color: var(--blanco)
}



@media (min-width: 1024px) { 
    .contenido-contacto{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        background-image: url(../img/hero.jpg);
        background-repeat: no-repeat;
        background-position: right center;
        background-size: 40%;
    }
}

.formulario .campo{
    margin-bottom: 2rem;
}

.campo:last-of-type{
    margin-bottom: 0;
}

.campo label{
   
        text-transform: uppercase;
        display: block;
        font-size: 2.2rem;
        font-weight: 700;
    
}

.campo input:not([type="submit"]), 
select {
    width: 100%;
    padding: 1rem;
    border: .5rem solid var(--negro);
}

.campo input[type="submit"] {
    background-color: var(--dorado2);
    width: 100%;
    border: none;
    padding: 1rem;
    color: var(--blanco);
    font-size: 2.2rem;
    font-weight: 700;
    text-transform: uppercase;
}

/* estilos del menu hamburguesa */

/* .mobile-menu{
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (min-width: 768px) {
    .mobile-menu{
        display: none;
    } 
    
}

@media (min-width: 1024px) {
    .mobile-menu{
        display: none;
    } 
    
}

.mobile-menu img{
    width: 5rem;
    align-items: center;
}

.mostrar{
    visibility: visible;
    opacity: 1;
} 
 */














/*   slider estilos */

/* 
.container-slider{
    max-width:70%;
    
    
    padding-top: 2rem;
   
  
}

.slider{
    width:100%;
    margin-top:10rem;
    overflow: hidden;
}

@media (min-width:768px) { 
   
.slider{
    margin-top: 30rem;
}
}

@media (min-width:1200px) { 
   
    .slider{
        margin-top:5rem;
    }
    }

.slider ul{
    padding: 0;
    display: flex;
    width:400%;

    animation: slider 20s infinite alternate;
    animation-timing-function:linear;
}

.slider ul li{
    width: 100%;
    list-style:none;
}

.slider img{
    width:100%;
    object-fit: cover;
}

@keyframes slider{
    0%{margin-left: 0;}
    20%{margin-left: 0;}

    25%{margin-left: -100%;}
    45%{margin-left: -100%;}

    50%{margin-left: -200%;}
    70%{margin-left: -200%;}

    75%{margin-left: -300%;}
    100%{margin-left: -300%;}


} */